Xerces2 Implementation: Class ElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class ElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultNode
            |
            +--org.apache.xerces.impl.xs.opti.NodeImpl
                  |
                  +--org.apache.xerces.impl.xs.opti.DefaultElement
                        |
                        +--org.apache.xerces.impl.xs.opti.ElementImpl

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.Node

public class ElementImpl
extends DefaultElement

Version:
  $Id: ElementImpl.java,v 1.5 2003/07/24 15:14:42 neilg Exp $
Author:
  Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElementImpl(int line, int column)`
`ElementImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, int line, int column)`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`int` | `getColumnNumber()` Returns the column number.
`org.w3c.dom.Node` | `getFirstChild()`
`org.w3c.dom.Node` | `getLastChild()`
`int` | `getLineNumber()` Returns the line number.
`org.w3c.dom.Node` | `getNextSibling()`
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Node` | `getParentNode()`
`org.w3c.dom.Node` | `getPreviousSibling()`
`java.lang.String` | `getTagName()`
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`void` | `setAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultElement
`getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, removeAttribute, removeAttributeNode, removeAttributeNS, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getNodeValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getChildNodes, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### ElementImpl

    public ElementImpl(int line,
                       int column)

### ElementImpl

    public ElementImpl(java.lang.String prefix,
                       java.lang.String localpart,
                       java.lang.String rawname,
                       java.lang.String uri,
                       int line,
                       int column)

Method Detail

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Overrides:
    `getOwnerDocument` in class `DefaultNode`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Overrides:
    `getParentNode` in class `DefaultNode`

### hasChildNodes

    public boolean hasChildNodes()

  Overrides:
    `hasChildNodes` in class `DefaultNode`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Overrides:
    `getFirstChild` in class `DefaultNode`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Overrides:
    `getLastChild` in class `DefaultNode`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Overrides:
    `getPreviousSibling` in class `DefaultNode`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Overrides:
    `getNextSibling` in class `DefaultNode`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Overrides:
    `getAttributes` in class `DefaultNode`

### hasAttributes

    public boolean hasAttributes()

  Overrides:
    `hasAttributes` in class `DefaultNode`

### getTagName

    public java.lang.String getTagName()

  Overrides:
    `getTagName` in class `DefaultElement`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Overrides:
    `getAttribute` in class `DefaultElement`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Overrides:
    `getAttributeNode` in class `DefaultElement`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Overrides:
    `getAttributeNS` in class `DefaultElement`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Overrides:
    `getAttributeNodeNS` in class `DefaultElement`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Overrides:
    `hasAttribute` in class `DefaultElement`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Overrides:
    `hasAttributeNS` in class `DefaultElement`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)

  Overrides:
    `setAttribute` in class `DefaultElement`

### getLineNumber

    public int getLineNumber()

  Returns the line number.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.